xbody {
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
}

.center-container {
  height: 60vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.form-box {
  width: 100%;
  max-width: 500px;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

ul.ui-menu {
  max-height: 200px; /* Altura máxima del menú */
  overflow-y: auto; /* Habilitar desplazamiento vertical */
  overflow-x: hidden; /* Ocultar desplazamiento horizontal */
}

.image-container {
  width: 100%; /* Ajusta al tamaño que necesites */
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden; /* Para ocultar cualquier parte que se desborde */
 /* border: 1px solid #ddd;
  /*background-color: #f0f0f0; /* Color de fondo opcional */
}

.brand-image {
  width: 100%;
  height: 100%;
  object-fit: contain; /* Puedes cambiar a cover, fill, etc., según prefieras */
}


body {
  font-family: 'Nunito', sans-serif;
  font-size: 14px;
}

.login-box {
  width: 400px !important;
  background-image: 'Assets/imagenes/Comedores-industriales.jpg' !important;;
}

.empresa-nombre {
  font-size: 24px; /* Tamaño de la letra para el nombre de la empresa */
  color: blue;     /* Color para el nombre de la empresa */
  font-weight: bold; /* Hace el texto más grueso */
}

.navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show>.nav-link {
    color: white !important;
    background: #007bff !important;
    font-weight: bold !important;
}

table.dataTable tbody td {
    white-space: nowrap !important;
    font-size: 15px !important;
}

table.dataTable thead th{
  white-space: nowrap !important;
  background-color: darkseagreen !important;
  font-weight: normal !important;
  font-size: 15px !important;
}

table.dataTable tbody tr td{
  padding: 1px !important;
}

table.dataTable tbody tr:hover {
  background-color:#71d1eb !important;
}


.dataTables_wrapper .dataTables_paginate .paginate_button {
  border-radius: 50%;
}

div.dataTables_wrapper {
  width: 100%;
  margin: 0 auto;
}

.addNewRecord{
    background-color: #078d65 !important;
    color: white !important;
}

.importar{
  background-color: #5729a5 !important;
  color: white !important;
}

.buttons-excel{
    background-color: #0d6efd !important;
    color: white !important;
}

.buttons-print{
    background-color: #ffc107 !important;
    color: white !important;
}

.dt-button{
    padding-top: 2px  !important;
    padding-bottom: 2px !important;
}

.transparentbar {
    background-repeat:no-repeat;
    cursor:pointer;
    outline:none;
    border:none;
    box-shadow:none; 
    background-image: none;  
    background-color: transparent;
  
  }
  
  .btn-check:focus+.btn-primary, .btn-primary:focus {
    color: #fff;
    background-color: transparent !important;
    border-color: transparent !important;
    box-shadow: none !important;
  }
  
  .transparentbar:hover {
    color: #fff;
    background-color: transparent !important;
    border-color: transparent !important;
  }


.card-gray{
  border: 1px solid gray;
}

.card-header{
  border-bottom: 1px solid gray;
}


.small-box {
  border: 1px solid gray !important;
}

.content-header h2{
  font-family: 'Kalam', cursive; 
  font-weight: bold;
}

.card-header { 
  padding: 0.4rem 1.25rem !important;
}

.form-control, select{
  border: 1px solid gray !important;
}

.input-group>.input-group-append>.btn, .input-group>.input-group-append>.input-group-text, .input-group>.input-group-prepend:first-child>.btn:not(:first-child), .input-group>.input-group-prepend:first-child>.input-group-text:not(:first-child), .input-group>.input-group-prepend:not(:first-child)>.btn, .input-group>.input-group-prepend:not(:first-child)>.input-group-text { 
  border: 1px solid gray !important;
}

.btn-personalizado {
  margin-top: 30px;
  padding: 5px 40px; /* Ajusta el padding para cambiar el tamaño */
  font-size: 12px; /* Tamaño de la fuente */
}

.new-page {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Fondo semitransparente */
  z-index: 9999; /* Valor alto para estar por encima de todo */
 /*  display: none; /* Ocultar la nueva página por defecto */
 }

  #b-enlace {
    margin: 0;
    padding: 0;
    background: none;
    border: none;
    font: inherit;
    cursor: pointer;
    outline: none;
    /* Añadir estilos adicionales según sea necesario */
  }

  .ui-autocomplete {
    z-index: 1051; /* Asegúrate de que este z-index sea mayor que el del modal */
}

@media (max-width: 576px) and (max-width: 767px)  {

  body {
    font-family: 'Nunito', sans-serif;
    font-size: 15px;
  }
  
  .login-box {
    width: 200px !important;
  }
  table.dataTable tbody td {
    white-space: nowrap !important;
    font-size: 12px !important;
}

table.dataTable thead th{
  white-space: nowrap !important;
  background-color: darkseagreen !important;
  font-weight: normal !important;
  font-size: 12px !important;
}

table.dataTable tbody tr td{
  padding: 0.5px !important;
}

table.dataTable tbody tr:hover {
  background-color:#71d1eb !important;
}


.dataTables_wrapper .dataTables_paginate .paginate_button {
  font-size: 9px !important;
    padding: 0.5px 1px;         /* Más espacio dentro del botón */
    margin: 0 5px;              /* Más separación entre botones */
    border-radius: 10px;        /* Botones ligeramente redondeados */
}

div.dataTables_wrapper {
  width: 100%;
  margin: 0 auto;
}

.empresa-nombre {
  font-size: 10px; /* Tamaño de la letra para el nombre de la empresa */
  color: blue;     /* Color para el nombre de la empresa */
  font-weight: lighter; /* Hace el texto más grueso */
}

}

/* Estilos para pantallas de móviles */
@media (max-width: 767px) {

  body {
    font-family: 'Nunito', sans-serif;
    font-size: 11px;
  }
  
  .login-box {
    width: 200px !important;
  }
  table.dataTable tbody td {
    white-space: nowrap !important;
    font-size: 11px !important;
}

table.dataTable thead th{
  white-space: nowrap !important;
  background-color: darkseagreen !important;
  font-weight: normal !important;
  font-size: 12px !important;
}

table.dataTable tbody tr td{
  padding: 0.5px !important;
}

table.dataTable tbody tr:hover {
  background-color:#71d1eb !important;
}


.dataTables_wrapper .dataTables_paginate .paginate_button {
  font-size: 9px !important;
    padding: 0.5px 1px;         /* Más espacio dentro del botón */
    margin: 0 5px;              /* Más separación entre botones */
    border-radius: 10px;        /* Botones ligeramente redondeados */
}

div.dataTables_wrapper {
  width: 100%;
  margin: 0 auto;
}

.empresa-nombre {
  font-size: 10px; /* Tamaño de la letra para el nombre de la empresa */
  color: blue;     /* Color para el nombre de la empresa */
  font-weight: lighter; /* Hace el texto más grueso */
}

}

/* Estilos para pantallas de tabletas */
@media (min-width: 768px) and (max-width: 1024px) {

  body {
    font-family: 'Nunito', sans-serif;
    font-size: 12px;
  }
  
  .login-box {
    width: 300px !important;
  }
  table.dataTable tbody td {
    white-space: nowrap !important;
    font-size: 12px !important;
}

table.dataTable thead th{
  white-space: nowrap !important;
  background-color: darkseagreen !important;
  font-weight: normal !important;
  font-size: 12px !important;
}

table.dataTable tbody tr td{
  padding: 0.5px !important;
}

table.dataTable tbody tr:hover {
  background-color:#71d1eb !important;
}

.empresa-nombre {
  font-size: 12px; /* Tamaño de la letra para el nombre de la empresa */
  color: blue;     /* Color para el nombre de la empresa */
  font-weight: lighter; /* Hace el texto más grueso */
}

}

/* Estilos para computadoras y televisores */
@media (min-width: 1025px) {
 
  body {
    font-family: 'Nunito', sans-serif;
    font-size: 14px;
  }
  
  .login-box {
    width: 450px !important;
  }
  table.dataTable tbody td {
    white-space: nowrap !important;
    font-size: 13px !important;
}

table.dataTable thead th{
  white-space: nowrap !important;
  background-color: darkseagreen !important;
  font-weight: normal !important;
  font-size: 13px !important;
}

table.dataTable tbody tr td{
  padding: 0.5px !important;
}

table.dataTable tbody tr:hover {
  background-color:#71d1eb !important;
}

.empresa-nombre {
  font-size: 22px; /* Tamaño de la letra para el nombre de la empresa */
  color: blue;     /* Color para el nombre de la empresa */
  font-weight: bold; /* Hace el texto más grueso */
}
}
